## f4b3a3879935a1a48f817509419aa86944529e55

=== Makefile ===
#
# TopLevel Makefile for the Paradyn (and DyninstAPI) system.
#
# $Id: Makefile,v 1.95 2008/10/03 21:12:39 legendre Exp $
#

TO_CORE = .

# Include the make configuration specification (site configuration options)
include ./make.config

# Include component dependency information
include ./make.components

all: world

.PHONY: $(Everything) $(Everything_install) $(Everything_tests) $(Everything_tests_install) install world intro comp_intro ready clean distclean depend all
.PHONY: DyninstAPI SymtabAPI StackwalkerAPI basicComps subSystems testsuites InstructionAPI ValueAdded DepGraphAPI ParseAPI DynC_API DataflowAPI ProcControlAPI PatchAPI

BUILD_ID = "$(SUITE_NAME) v$(RELEASE_NUM)$(BUILD_MARK)$(BUILD_NUM)"

$(Everything) $(Everything_tests):
	@if [ -f $@/$(PLATFORM)/Makefile ]; then \
		$(MAKE) -C $@/$(PLATFORM); \
	elif [ -f $@/Makefile ]; then \
		$(MAKE) -C $@; \
	else \
		echo $@ has no Makefile; \
		true; \
	fi

$(Everything_install) $(Everything_tests_install):
	@if [ -f $(@:%_install=%)/$(PLATFORM)/Makefile ]; then \
		$(MAKE) -C $(@:%_install=%)/$(PLATFORM) install; \
	elif [ -f $(@:%_install=%)/Makefile ]; then \
		$(MAKE) -C $(@:%_install=%) install; \
	else \
		echo $(@:%_install=%) has no Makefile; \
		true; \
	fi

$(Test_targets):
	@$(MAKE) -C testsuite/$(PLATFORM) $(@:%_testsuite=%)

test-full:
	@$(MAKE) -C testsuite/$(PLATFORM) full

install: intro ready $(fullSystem_install)

world: intro $(fullSystem)
depend:
	+@for subsystem in $(fullSystem); do 			\
	    if [ -f $$subsystem/$(PLATFORM)/Makefile ]; then	\
			$(MAKE) -C $$subsystem/$(PLATFORM) $@;		\
	    else						\
			true;						\
	    fi							\
	done

clean distclean:
	+@for subsystem in $(Everything) $(Everything_tests); do 			\
	    if [ -f $$subsystem/$(PLATFORM)/Makefile ]; then	\
			$(MAKE) -C $$subsystem/$(PLATFORM) $@;		\
	    else						\
			true;						\
	    fi							\
	done

# Check that the main installation directories, etc., are ready for a build,
# creating them if they don't already exist!
ready:
	@echo "[User:`whoami` Host:`hostname` Platform:$(PLATFORM) Date:`date '+%Y-%m-%d'`]"
	+@for installdir in $(LIBRARY_DEST) $(PROGRAM_DEST) $(INCLUDE_DEST); do \
	    if [ -d $$installdir ]; then			\
		echo "Installation directory $$installdir exists...";	\
	        true;						\
	    else						\
		echo "Creating installation directory $$installdir ...";\
	        $(INSTALL) -d -p $$installdir;				\
	    fi							\
	done

intro: comp_intro
	@echo "Build of $(BUILD_ID) on $(PLATFORM) for $(DEFAULT_COMPONENT): $(fullSystem)"

comp_intro:
	+@echo "Primary compiler for Paradyn build is:"
	+@if [ `basename $(CXX)` = "xlC" ]; then		\
     echo "xlC"; \
	else \
	echo CXX = $(CXX); \
	  $(CXX) --version; \
     true; \
	fi

# Before refactoring the Makefile, we used to support these build targets.  Recreate them with
# simple aliases 
ifndef DONT_BUILD_NEWTESTSUITE
dyn_testsuite = dyninstAPI_testsuite
sym_testsuite = symtabAPI_testsuite
ins_testsuite = instructionAPI_testsuite
pc_testsuite = proccontrol_testsuite
endif


DyninstAPI: dyninstAPI parseThat $(dyn_testsuite)
SymtabAPI: symtabAPI $(sym_testsuite)
StackwalkerAPI: stackwalk
basicComps:  dyninstAPI
subSystems:  dyninstAPI
testsuites:  testsuite
InstructionAPI:  instructionAPI $(ins_testsuite)
ValueAdded: valueAdded/sharedMem
DynC_API: dynC_API
ParseAPI: parseAPI
DataflowAPI: parseAPI
ProcControlAPI: proccontrol $(pc_testsuite)
PatchAPI: patchAPI

# Testsuite dependencies
parseThat: $(filter-out parseThat,$(parseThat))
parseThat_install: $(fullSystem_install_notests)
testsuite: $(fullSystem_notests)
testsuite_install: $(fullSystem_install_notests)

# For each dependency in make.components (targ), create a rule that looks like
#  targ: $filter-out( $(targ),$($(targ)))
# Thus when targ is stackwalk we will evaluate to:
#   stackwalk: dynutil common proccontrol    
$(foreach targ,$(Everything),$(eval $(targ): $(filter-out $(targ),$($(targ)))))

# Same as above, but for %_install targets
$(foreach targ,$(Everything),$(eval $(targ)_install: $(patsubst %,%_install,$(filter-out $(targ),$($(targ))))))

#Every install target depends on ready
$(foreach targ,$(Everything),$(eval $(targ)_install: ready))

# Now add testsuite dependency rules.  An example of these expanding is:
#   dyninstAPI_testsuite: dyninstAPI
$(foreach targ,$(test_comps),$(eval $(targ)_testsuite: $(targ)))

docs install-man:
	+for subsystem in $(fullSystem); do			\
	    if [ -f $$subsystem/docs/Makefile ]; then		\
		$(MAKE) -C $$subsystem/docs $@;			\
	    else						\
		true;						\
	    fi							\
	done


# The "make nightly" target is what should get run automatically every
# Note that the nightlies will build the testsuite with all mutatees
# at all optimization levels--this gets huge
testsuite-nightly:
	$(MAKE) -C testsuite/$(PLATFORM) all

umd-nightly:
	$(MAKE) clean
	$(MAKE) nightly

# Used for UW nightly builds
nightly: ready $(Everything_install) parseThat_install testsuite-nightly

echo:
	@echo $(Everything)

PKGCONFIG_CFLAGS = $(CXX_REQ_FLAGS) -I$(includedir)
PKGCONFIG_LIBS = -L$(libdir) -ldyninstAPI -lstackwalk -lpcontrol -lpatchAPI -lparseAPI -linstructionAPI -lsymtabAPI -lsymLite -ldynDwarf -ldynElf -lcommon 

ifdef LIBDWARF_PLATFORM
PKGCONFIG_CFLAGS += -I$(LIBDWARF_INC)
ifeq (xtrue,x$(LIBDWARF_STATIC))
PKGCONFIG_LIBS += -rdynamic -Wl,--whole-archive
endif
PKGCONFIG_LIBS += -L$(LIBDWARF_LIB) -ldwarf
ifeq (xtrue,x$(LIBDWARF_STATIC))
PKGCONFIG_LIBS += -Wl,--no-whole-archive
endif
endif

ifdef LIBELF_PLATFORM
PKGCONFIG_CFLAGS += -I$(LIBELF_INC)
PKGCONFIG_LIBS += -L$(LIBELF_LIB) -lelf
endif

ifdef USE_LIBIBERTY
ifdef LIBIBERTY_LIB
PKGCONFIG_LIBS += -L$(LIBIBERTY_LIB)
endif
PKGCONFIG_LIBS += -rdynamic -Wl,--whole-archive -liberty -Wl,--no-whole-archive
endif

pkgconfig:
	$(HIDE_COMP)$(RM) dyninst.pc
	$(HIDE_COMP)echo "# This file contains pkgconfig information for Dyninst and its components" > dyninst.pc
	$(HIDE_COMP)echo "prefix = $(prefix)" >> dyninst.pc
	$(HIDE_COMP)echo "exec_prefix = $(exec_prefix)" >> dyninst.pc
	$(HIDE_COMP)echo "includedir = $(includedir)" >> dyninst.pc
	$(HIDE_COMP)echo "libdir = $(libdir)" >> dyninst.pc
	$(HIDE_COMP)echo "bindir = $(bindir)" >> dyninst.pc
	$(HIDE_COMP)echo >> dyninst.pc
	$(HIDE_COMP)echo "Name: dyninst" >> dyninst.pc
	$(HIDE_COMP)echo "Description: DyninstAPI binary instrumentation library" >> dyninst.pc
	$(HIDE_COMP)echo "Requires: libelf, libdwarf" >> dyninst.pc
	$(HIDE_COMP)echo "Version: 8.1.1" >> dyninst.pc
	$(HIDE_COMP)echo "Cflags: $(PKGCONFIG_CFLAGS)" >> dyninst.pc
	$(HIDE_COMP)echo "Libs: $(PKGCONFIG_LIBS)" >> dyninst.pc
	$(HIDE_COMP)echo "Creating dyninst.pc pkgconfig file"

=== dynutil/Makefile ===
# pick up INCLUDE_DEST
TO_CORE = ..

include ../make.config

LOCAL_INCLUDE_DEST = $(INCLUDE_DEST)
CP = cp
CP_DIR = cp -r

TO_INC = h
PUBLIC_H = Annotatable.h \
		dyntypes.h \
		util.h \
		Serialization.h \
		Graph.h \
		Edge.h \
		Node.h \
		dyn_regs.h \
		stl_utils.h \
		SymReader.h \
		DynAST.h \
		ProcReader.h \
	   IBSTree.h \
      entryIDs.h \
		VariableLocation.h \
		Buffer.h

#INSTALL_TARGETS = $(pathsubst %, $(INCLUDE_DEST)/%,$(PUBLIC_H))
INSTALL_TARGETS = $(addprefix $(LOCAL_INCLUDE_DEST)/, $(PUBLIC_H))
world:
	@echo Nothing to be done for build

#install: $(patsubst %,$(INCLUDE_DEST)/%,$(PUBLIC_H))
install: $(INSTALL_TARGETS)
#	echo INSTALL_TARGETS = $(INSTALL_TARGETS);

$(LOCAL_INCLUDE_DEST)/%.h: $(TO_INC)/%.h
	$(INSTALL) $^ $@

clean distclean:

=== parseThat/Makefile ===
TO_CORE = ..

USES_DWARF_DEBUG = true
USES_LIBELF = true

include ../make.config

ifdef LIBELF_PLATFORM
ifneq (x,x$(strip $(LIBELF_LIB)))
LIBELF_LINK_FLAGS += -L$(LIBELF_LIB)
endif
LIBELF_LINK_FLAGS += -lelf
endif

ifdef LIBDWARF_PLATFORM
ifneq (x,x$(strip $(LIBDWARF_LIB)))
LIBDWARF_LINK_FLAGS += -L$(LIBDWARF_LIB)
endif
ifeq (xtrue,x$(LIBDWARF_STATIC))
LIBDWARF_LINK_FLAGS += -Wl,--whole-archive
endif

LIBDWARF_LINK_FLAGS += -ldwarf

ifeq (xtrue,x$(LIBDWARF_STATIC))
LIBDWARF_LINK_FLAGS += -Wl,--no-whole-archive
endif

endif

VPATH = $(PLATFORM)

ABS_PROGRAM_DEST := $(abspath $(PROGRAM_DEST))
ABS_LIBRARY_DEST := $(abspath $(LIBRARY_DEST))
ABS_INCLUDE_DEST := $(abspath $(INCLUDE_DEST))
ABS_LIBDWARF_DEST := $(LIBDWARF_LINK_FLAGS)
ABS_LIBELF_DEST := $(LIBELF_LINK_FLAGS)

ifdef includedir
CONFIG_ARGS = "--with-dyninst-include=$(includedir)"
endif
ifdef includedir
CONFIG_ARGS += "--with-dyninst-lib=$(libdir)"
endif
CONFIG_ARGS += "--with-dwarf-lib=$(ABS_LIBDWARF_DEST)"
ifdef LIBELF_LIB
CONFIG_ARGS += "--with-elf-lib=$(ABS_LIBELF_DEST)"
endif



ifdef DEMANGLER_EXEC_LINK
CONFIG_ARGS += "--with-liberty-lib=\"$(DEMANGLER_EXEC_LINK)\""
endif

CONFIG_LD_FLAGS = $(patsubst %,-L../%,$(shell echo ../*/$(PLATFORM)))
CONFIG_CFLAGS = $(patsubst %,-I../%,$(shell echo ../*/h))

ifdef ABS_PROGRAM_DEST
INSTALL_PREFIX = --prefix=$(ABS_PROGRAM_DEST)
else
INSTALL_PREFIX =
endif

MAKE_LOCAL_LOCATION = $(wildcard $(TO_CORE)/$(PLATFORM)/make.config.local)
ifndef MAKE_LOCAL_LOCATION
MAKE_LOCAL_LOCATION = $(TO_CORE)/make.config.local
endif

all:  $(PLATFORM)/parseThat

$(PLATFORM)/parseThat: $(PLATFORM)/Makefile
	$(MAKE) -C $(PLATFORM)

$(PLATFORM)/Makefile: Makefile.in $(MAKE_LOCAL_LOCATION)
	@if [ -d $(PLATFORM) ]; then \
		echo "directory $(PLATFORM) exists"; \
	else \
		mkdir $(PLATFORM); \
	fi; \
	cd $(PLATFORM); \
	echo $(CONFIG_ARGS); \
	CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(CONFIG_LD_FLAGS)" CXXFLAGS="$(CONFIG_CFLAGS)" CFLAGS="$(CONFIG_CFLAGS)" PLATFORM="$(PLATFORM)" ../configure $(CONFIG_ARGS) $(INSTALL_PREFIX);

clean:
	cd $(PLATFORM); $(MAKE) clean;

distclean:
	rm -rf $(PLATFORM)

install: $(PLATFORM)/parseThat
	cd $(PLATFORM); $(MAKE) install;

=== testsuite/Makefile ===
SUBDIRS = i386-unknown-linux2.4 rs6000-ibm-aix5.1 x86_64-unknown-linux2.4 ppc32_linux ppc64_linux i386-unknown-freebsd7.2 amd64-unknown-freebsd7.2 ppc32_bgp_ion ppc32_bgp ppc64_bgq_ion
SUBDIR_WINDOWS = i386-unknown-nt4.0

TO_SPEC = src/specification
PROLOG_FILES = $(TO_SPEC)/spec-grouped.pl $(TO_SPEC)/util.pl $(TO_SPEC)/test.pl
PYTHON_FILES = $(TO_SPEC)/makemake.py $(TO_SPEC)/tuples.py

.PHONY: usage gen-all echo $(SUBDIRS) $(SUBDIR_WINDOWS)

usage:
	@echo "Use target 'gen-all' to regenerate generated files for all supported"
	@echo "platforms"
	@echo "Use target 'gen-clean' to remove generated files for all supported"
	@echo "platforms"
	@echo "Use target PLATFORM to make for a specific platform"

GENERATED_FILES = make.mutators.gen make.solo_mutatee.gen test_info_new.gen.C
ALL_GENERATED_FILES = $(foreach dir,$(SUBDIRS),$(GENERATED_FILES:%=$(dir)/%))

GENERATED_FILES_WINDOWS = nmake.mutators.gen nmake.solo_mutatee.gen test_info_new.gen.C
ALL_GENERATED_FILES += $(GENERATED_FILES_WINDOWS:%=$(SUBDIR_WINDOWS)/%)

gen-all: $(ALL_GENERATED_FILES)

gen-clean:
	-rm -f $(ALL_GENERATED_FILES)


$(SUBDIRS:%=%/tuples): %/tuples: $(PROLOG_FILES)
	cd $(TO_SPEC); gprolog --entry-goal "['spec-grouped.pl']" \
		--entry-goal "test_init('$*')" \
		--entry-goal "write_tuples('../../$@', '$*')" \
		--entry-goal "halt"

$(SUBDIRS:%=%/make.mutators.gen): %/make.mutators.gen: $(PYTHON_FILES) %/tuples
	python -c "import sys; import os; os.environ['PLATFORM'] = '$*'; sys.path.append('$(TO_SPEC)'); import makemake; makemake.write_make_mutators_gen('$*/make.mutators.gen', '$*/tuples')"

$(SUBDIRS:%=%/make.solo_mutatee.gen): %/make.solo_mutatee.gen: $(PYTHON_FILES) %/tuples
	python -c "import sys; import os; os.environ['PLATFORM'] = '$*'; sys.path.append('$(TO_SPEC)'); import makemake; makemake.write_make_solo_mutatee_gen('$*/make.solo_mutatee.gen', '$*/tuples')"

# Generate the lists of tests to run in test_info_new.gen.C
$(SUBDIRS:%=%/test_info_new.gen.C): %/test_info_new.gen.C: $(PYTHON_FILES) %/tuples
	python -c "import sys; import os; os.environ['PLATFORM'] = '$*'; sys.path.append('$(TO_SPEC)'); import makemake; makemake.write_test_info_new_gen('$*/test_info_new.gen.C', '$*/tuples')"
	python -c "import sys; import os; os.environ['PLATFORM'] = '$*'; sys.path.append('$(TO_SPEC)'); import makemake; makemake.write_group_mutatee_boilerplate('$*/', '_group.c', '$*/tuples')";

$(SUBDIRS:%=%): %:%/make.mutators.gen %/make.solo_mutatee.gen %/test_info_new.gen.C

$(SUBDIR_WINDOWS:%=%): %:%/nmake.mutators.gen %/nmake.solo_mutatee.gen %/test_info_new.gen.C

# Do the same as above for windows
$(SUBDIR_WINDOWS:%=%/tuples): %/tuples: $(PROLOG_FILES)
	cd $(TO_SPEC); gprolog --entry-goal "['spec-grouped.pl']" \
		--entry-goal "test_init('$*')" \
		--entry-goal "write_tuples('../../$@', '$*')" \
		--entry-goal "halt"

$(SUBDIR_WINDOWS:%=%/nmake.mutators.gen): %/nmake.mutators.gen: $(PYTHON_FILES) %/tuples
	python -c "import sys; import os; os.environ['PLATFORM'] = '$*'; sys.path.append('$(TO_SPEC)'); import makemake; makemake.write_make_mutators_gen_nt('$*/nmake.mutators.gen', '$*/tuples')"

$(SUBDIR_WINDOWS:%=%/nmake.solo_mutatee.gen): %/nmake.solo_mutatee.gen: $(PYTHON_FILES) %/tuples
	python -c "import sys; import os; os.environ['PLATFORM'] = '$*'; sys.path.append('$(TO_SPEC)'); import makemake; makemake.write_make_solo_mutatee_gen_nt('$*/nmake.solo_mutatee.gen', '$*/tuples')"

#TODO do I need this big substitution thing here?
$(SUBDIR_WINDOWS:%=%/test_info_new.gen.C): %/test_info_new.gen.C: $(PYTHON_FILES) %/tuples
	python -c "import sys; import os; os.environ['PLATFORM'] = '$*'; sys.path.append('$(TO_SPEC)'); import makemake; makemake.write_test_info_new_gen_nt('$*/test_info_new.gen.C', '$*/tuples')"

=== codeCoverage/i386-unknown-linux2.4/Makefile ===
# Define any symbols needed to invoke configuration changes in make.config

DEBUG_FLAG = -g -gstabs+
NO_IMPLICIT_TEMPLATES = true

# Include standard make configuration stuff that applies to everything
# in the paradyn tree.

include ../../make.config 

# Now make any necessary architecture specific changes to variables:

SRCS =          

CXXFLAGS         += $(MYFLAGS)
CFLAGS           += $(MYFLAGS)
TFLAGS           += $(MYFLAGS)

# Tradeoff: adding -g to TFLAGS aids gdb but uses gobs of disk space
#TFLAGS                 += -g

SYSLIBS = -ldl

AS		= /usr/bin/as

# no support for elf64_XXX() functions
CXXFLAGS	+= -DUSES_ELF32_ONLY
CFLAGS		+= -DUSES_ELF32_ONLY
TFLAGS		+= -DUSES_ELF32_ONLY

# Include the module-specific Makefile, which defines everything about
# the module that is common across architectures.

include ../make.module.tmpl

# Include the "standard library template".  This defines all the
# common targets like "clean", "install", etc.

include ../../make.program.tmpl

=== codeCoverage/i386-unknown-nt4.0/Makefile ===
# Define any symbols needed to invoke configuration changes in make.config

# Include standard make configuration stuff that applies to everything
# in the paradyn tree.

include ../../nmake.config 
DEFCFLAGS = $(DEFCFLAGS) -MD # ccw 12 july 2001

# Now make any necessary architecture specific changes to variables:

# we require an uncommon link
LD		= link
LDFLAGS	= -debug -pdb:none /NODEFAULTLIB:libc.lib # ccw 20 june 2001


SRCS =		

OBJS = 		

LIBS		= dbghelp.lib advapi32.lib

CXXFLAGS 	= $(CXXFLAGS) -DNO_MDL_PRINT -DBPATCH_DLL_BUILD

# Include the module-specific Makefile, which defines everything about
# the module that is common across architectures.

include ../nmake.module.tmpl

# Include the "standard library template".  This defines all the
# common targets like "clean", "install", etc.

include ../../nmake.program.tmpl

# override target rule to force link to happen

$(TARGET): $(OBJS)
	@$(MAKE) $(VOUCHER)
	$(LD) $(LDFLAGS) -out:$(TARGET) $(VOUCHER).obj $(OBJS) $(LIBS)

=== codeCoverage/ppc32_linux/Makefile ===
# Define any symbols needed to invoke configuration changes in make.config

DEBUG_FLAG = -g -gstabs+
NO_IMPLICIT_TEMPLATES = true

# Include standard make configuration stuff that applies to everything
# in the paradyn tree.

include ../../make.config 

# Now make any necessary architecture specific changes to variables:

SRCS =          

CXXFLAGS         += $(MYFLAGS)
CFLAGS           += $(MYFLAGS)
TFLAGS           += $(MYFLAGS)

# Tradeoff: adding -g to TFLAGS aids gdb but uses gobs of disk space
#TFLAGS                 += -g

SYSLIBS = -ldl

AS		= /usr/bin/as

# no support for elf64_XXX() functions
#CXXFLAGS	+= -DUSES_ELF32_ONLY
#CFLAGS		+= -DUSES_ELF32_ONLY
#TFLAGS		+= -DUSES_ELF32_ONLY

# Include the module-specific Makefile, which defines everything about
# the module that is common across architectures.

include ../make.module.tmpl

# Include the "standard library template".  This defines all the
# common targets like "clean", "install", etc.

include ../../make.program.tmpl

=== codeCoverage/rs6000-ibm-aix5.1/Makefile ===
INSTANTIATE_TEMPLATES   = true
DO_INLINE_ALL           = true
NO_OPT_FLAG = true

# Include standard make configuration stuff that applies to everything
# in the paradyn tree.

include ../../make.config 

# Now make any necessary architecture specific changes to variables:

SRCS =		

CFLAGS += -g
TFLAGS +=
CXXFLAGS += -g 

# Include the module-specific Makefile, which defines everything about
# the module that is common across architectures.

include ../make.module.tmpl

# Override default of gcc -- need g++ on AIX
LD = g++ 
# On AIX all symbols must be resolved at link time, even for a library.

# Include the "standard library template".  This defines all the
# common targets like "clean", "install", etc.

TARGET	= dyncov

CXX	= g++

include ../../make.program.tmpl

=== codeCoverage/sparc-sun-solaris2.8/Makefile ===
# Define any symbols needed to invoke configuration changes in make.config

#UNCOMMON_INSTALL = true

USES_TCLTK = true
NO_IMPLICIT_TEMPLATES = true

# Include standard make configuration stuff that applies to everything
# in the paradyn tree.

include ../../make.config 

# Now make any necessary architecture specific changes to variables:

SRCS =		../src/FCAllBlocks.C \
		../src/FCUseDominator.C \
		../src/FunctionCoverage.C \
		../src/CCPreInstrument.C \
		../src/CCOnDemandInstrument.C \
		../src/CodeCoverage.C 

IFLAGS		+= -I/usr/imports/include

CFLAGS		+= -DNO_MDL_PRINT -g -O0
CXXFLAGS	+= -DNO_MDL_PRINT -g -O0 -DUSES_ELF32_ONLY 
TFLAGS		+= -DUSES_ELF32_ONLY 

TCLTK_LIBS	?= -ltk8.0 -ltcl
SYSLIBS 	= -lrt $(TCLTK_LIBS) -lsymtabAPI -lpthread

# Include the module-specific Makefile, which defines everything about
# the module that is common across architectures.

include ../make.module.tmpl

ifndef AUTO_TEMPLATES
SRCS         += ../src/templates.C
endif

templates.o: ../src/templates.C
	$(CXX) $(TFLAGS) -c ../src/templates.C

LIBS 	+= -ldyninstAPI
include ../../make.program.tmpl

=== codeCoverage/sparc-sun-solaris2.9/Makefile ===
# Define any symbols needed to invoke configuration changes in make.config

#UNCOMMON_INSTALL = true

USES_TCLTK = true
NO_IMPLICIT_TEMPLATES = true

# Include standard make configuration stuff that applies to everything
# in the paradyn tree.

include ../../make.config 

# Now make any necessary architecture specific changes to variables:

SRCS =		../src/FCAllBlocks.C \
		../src/FCUseDominator.C \
		../src/FunctionCoverage.C \
		../src/CCPreInstrument.C \
		../src/CCOnDemandInstrument.C \
		../src/CodeCoverage.C 

IFLAGS		+= -I/usr/imports/include

CFLAGS		+= -DNO_MDL_PRINT -g -O0
CXXFLAGS	+= -DNO_MDL_PRINT -g -O0 -DUSES_ELF32_ONLY 
TFLAGS		+= -DUSES_ELF32_ONLY 

TCLTK_LIBS	?= -ltk8.0 -ltcl
SYSLIBS 	= -lrt -L/user/gaburici/opt/tcltk-8.3.4/lib $(TCLTK_LIBS) -lpthread

# Include the module-specific Makefile, which defines everything about
# the module that is common across architectures.

include ../make.module.tmpl

ifndef AUTO_TEMPLATES
SRCS         += ../src/templates.C
endif

templates.o: ../src/templates.C
	$(CXX) $(TFLAGS) -c ../src/templates.C

LIBS 	+= -lcommon -ldyninstAPI -lsymtabAPI
include ../../make.program.tmpl

=== common/amd64-unknown-freebsd7.2/Makefile ===
#
# $Id: Makefile,v 1.5 2008/09/03 06:08:44 jaw Exp $
#

# Define any symbols needed to invoke configuration changes in make.config

#USES_SHM_SAMPLING = true
#USES_PAPI = true
DEBUG_FLAG = -g
NO_IMPLICIT_TEMPLATES = true

# For debugging.
#NO_OPT_FLAG = true

# Include standard make configuration stuff that applies to everything
# in the paradyn tree.

include ../../make.config 

# Now make any necessary architecture specific changes to variables:

SRCS =		../../common/src/timing-freebsd.C \
		../../common/src/freebsdKludges.C \
		../../common/src/addrtranslate-sysv.C \
		../../common/src/addrtranslate-freebsd.C

#MYFLAGS	+= -DNO_MDL_PRINT
#MYFLAGS	+= -DLD_DEBUG
#MYFLAGS	+= -DATTACH_DETACH_DEBUG
#MYFLAGS	+= -DPTRACEDEBUG
#MYFLAGS	+= -DPTRACEDEBUG_EXCESSIVE
#MYFLAGS	+= -DPTRACEDEBUG_ALWAYS
#MYFLAGS	+= -DINST_TRAP_DEBUG
#MYFLAGS	+= -DSIGNAL_DEBUG
#MYFLAGS	+= -DASTDEBUG
#MYFLAGS	+= -DINFERIOR_RPC_DEBUG

CXXFLAGS        += $(MYFLAGS)
CFLAGS          += $(MYFLAGS)
TFLAGS          += $(MYFLAGS)

# Tradeoff: adding -g to TFLAGS aids gdb but uses gobs of disk space
#TFLAGS		+= -g

LIBS    += -lutil

AS		= /usr/bin/as


# Add preprocessor and special link information for G++
G_PTHREAD	= -pthread
G_PTHREAD_LD	= -pthread

# Include the module-specific Makefile, which defines everything about
# the module that is common across architectures.

include ../make.module.tmpl

# Include the "standard library template".  This defines all the
# common targets like "clean", "install", etc.

include ../../make.library.tmpl

=== common/docs/Makefile ===


all: docs

docs:
#	nroff -man libutil.1 > libutil.0
#	nroff -man libutilPVM.1 > libutilPVM.0

install-man:
	cp libutil.1 ../../../man/man1
	cp libutilPVM.1 ../../../man/man1

=== debian/changelog ===
dyninst (8.1.2-1) unstable; urgency=low
  * Bug fixes for Dyninst 8.1

 -- Paradyn / Dyninst Project <paradyn@cs.wisc.edu>  Fri, 31 May 2013 15:48:14 +0000 

dyninst (8.1.1-1) unstable; urgency=low
  * Bug fixes for Dyninst 8.1

 -- Paradyn / Dyninst Project <paradyn@cs.wisc.edu>  Thu, 14 Mar 2013 22:27:22 +0000

dyninst (8.1.0-1) unstable; urgency=low
  * Configure fixes and improvements
  * while loop added to BPatch_snippet language
  * Initial SystemTap support
  * C++11x support
  * Deprecated BPatch_Set in favor of std::set
  * Bugfixes
  * Added Process::addLibrary interface to ProcControl
  * SSE support in InstructionAPI
  * Fedora 18 Dwarf parsing support

 -- Paradyn / Dyninst Project <paradyn@cs.wisc.edu>  Fri, 01 Mar 2013 19:06:35 +0000

dyninst (8.0.0-1) unstable; urgency=low
  * BG/Q rewriter support
  * Initial PatchAPI release
  * ProcControl, PatchAPI, Stackwalker integration
  * BPatch_object abstraction added
  * Function wrapping support
  * Standards-compiant configure process
  * Dwarf3/Dwarf4 parsing support


 -- Paradyn / Dyninst Project <paradyn@cs.wisc.edu>  Mon, 19 Nov 2012 17:56:04 +0000

dyninst (7.0-1) unstable; urgency=low

  * Initial release of ParseAPI
  * Initial release of ProcControlAPI
  * PowerPC release of InstructionAPI
  * BlueGene support for static binary rewriter

 -- Paradyn / Dyninst Project <paradyn@cs.wisc.edu>  Thur, 10 Mar 2011 13:35:00 -0600

dyninst (6.1-1) unstable; urgency=low

  * Optimized instrumentation generation
  * Bug fixes for static binary rewriter
  * Optimized instruction decoding
  * Initial release of depGraphAPI
  * Gap parsing for stripped code

 -- Paradyn / Dyninst Project <paradyn@cs.wisc.edu>  Mon, 7 Dec 2009 17:30:00 -0600

dyninst (6.0-1) unstable; urgency=low

  * Initial release of static binary rewriter
  * Initial release of instructionAPI
  * Initial release of stackwalkerAPI
  * Beta release of depGraphAPI
  * Code parsing improvements

 -- Paradyn / Dyninst Project <paradyn@cs.wisc.edu>  Tue, 30 Jun 2009 00:00:00 -0600

dyninst (5.2-1) unstable; urgency=low

  * Optimized instrumentation generation
  * Beta release of static binary rewriter
  * Slicing support
  * Parallel library support

 -- Paradyn / Dyninst Project <paradyn@cs.wisc.edu>  Thu, 20 Apr 2006 10:24:22 -0500

dyninst (5.0-1) unstable; urgency=low

  * Initial release 

 -- Paradyn / Dyninst Project <paradyn@cs.wisc.edu>  Thu, 20 Apr 2006 10:24:22 -0500

=== debian/control ===
Source: dyninst
Priority: optional
Maintainer: Paradyn / Dyninst Project <dyninst-api@.cs.wisc.edu>
Build-Depends: debhelper (>= 4.0.0), nasm, libelf-dev, binutils-dev
Standards-Version: 3.6.2
Section: libs

Package: libdyninst-dev
Recommends: dyninst-doc
Conflicts: libdyninstAPI-dev
Section: libdevel
Architecture: any
Depends: libdyninst (= ${Source-Version})
Description: The dyninstAPI library development headers
 The dyninstAPI library development headers.

Package: libdyninst
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The dyninstAPI library and the runtime library
 The dyninstAPI library and the runtime library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


# shared library versions, option 1
version=8.1.2
major=8
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`
build-dyninst-stamp: 
	dh_testdir

	$(MAKE) DyninstAPI

	touch build-dyninst-stamp

build: build-stamp
build-stamp: build-dyninst-stamp
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install -plibdyninst-dev
	dh_install -plibdyninst --sourcedir=$(CURDIR)/../$(PLATFORM)
	dh_install -pdyninst-testsuite --sourcedir=$(CURDIR)/../$(PLATFORM)
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
